Subject: Re: [bug#47815] [PATCH 1/3] gnu: music: python-abjad: Abjad Improvements.

From: Maxime Devos <[email-masked]>
Date: Sat, 17 Apr 2021 11:12:25 +0200

jgart schreef op vr 16-04-2021 om 17:59 [+0000]:
> Hi Maxime,
> 
> Thank you for the review! I attached a new patch set. 
> 
> I reverted to Bonface's original idea of having lilypond only as a native input
> in the package definition.

If you do that, make sure "abjad" does not retain a reference to lilypond,
as otherwise when cross-compiling, "abjad" will use a lilypond built for the
incorrect architecture.  You can use #:disallowed-references ,lilypond for this.

(TODO: there should be a #:disallowed-refences/native variant.  But
#:disallowed-references will suffice for now.)

I'm currently occupied with some other things, so I can't review your revised
patches yet.

Greetings,
Maxime.